//
//  NumberMatch.m
//  SFS2X
//
//  Original development by Infosfer Game Technologies Ltd. | http://www.infosfer.com.
//
//  Maintained and developed by A51 Integrated.
//  Copyright 2012 A51 Integrated | http://a51integrated.com. All rights reserved.
//
#import "NumberMatch.h"


@implementation NumberMatch

static NSInteger TYPE_ID = 1;

@dynamic symbol;


-(id)initWithSymbol:(NSString *)symbol {
	
	if ((self = [super init])) {
		_symbol = symbol;
	}
	return self;
	
}



+(NumberMatch *)numberMatchEquals {
	NumberMatch *numberMatch = [[NumberMatch alloc] initWithSymbol:@"=="];
	
	return numberMatch;
}

+(NumberMatch *)numberMatchNotEquals {
	NumberMatch *numberMatch = [[NumberMatch alloc] initWithSymbol:@"!="];
	
	return numberMatch;
}

+(NumberMatch *)numberMatchGreaterThan {
	NumberMatch *numberMatch = [[NumberMatch alloc] initWithSymbol:@">"];
	
	return numberMatch;
}

+(NumberMatch *)numberMatchGreaterThanOrEqualTo {
	
	NumberMatch *numberMatch = [[NumberMatch alloc] initWithSymbol:@">="];
	
	return numberMatch;
	
}

+(NumberMatch *)numberMatchLessThan {
	NumberMatch *numberMatch = [[NumberMatch alloc] initWithSymbol:@"<"];
	
	return numberMatch;
}

+(NumberMatch *)numberMatchLessThanOrEqualTo {
	
	NumberMatch *numberMatch = [[NumberMatch alloc] initWithSymbol:@"<="];
	
	return numberMatch;
}


-(NSString *)symbol {
	return _symbol;
}

-(NSInteger)type {
	return TYPE_ID;
}


@end
